Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Mandatory Firmware Update?

Discussion in 'Inspire 1 Discussion' started by ehcropydoc, Aug 21, 2015.

  1. ehcropydoc

    Joined:
    Feb 21, 2014
    Messages:
    40
    Likes Received:
    1
    I've searched the forums as best as I could but I couldn't find anything on mandatory updates.

    Background: I have multiple i1's and I use one unit for a single job once a month. That particular unit works flawlessly each and every time. I do not want to risk messing anything up so I've decided not to update the firmware for that particular aircraft and never update the app in the app store either. (I have dedicated iPad's for each of my birds)

    Question: When will DJI not allow me to fly because of a mandatory update? Last thing I want to do is go out to a job and not be able to initiate the rotors because of a mandatory update.

    Can anyone share some knowledge on this subject please? Thanks!
     
  2. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,245
    Likes Received:
    580
    Location:
    Buckie, Scotland, UK
    The last mandatory firmware update was issued in Apr/May shortly after I got my I1. I can't remember the version number, but it contained a number of flight handling improvements. None of the recent ones have fallen into this category. The only way not to receive such warnings is not to connect your App to the internet when it is connected to the aircraft. There are some untrusting souls out there who plan to stick there working set up but they will miss out on current and future improvements.
     
  3. ehcropydoc

    Joined:
    Feb 21, 2014
    Messages:
    40
    Likes Received:
    1
    I understand.

    BTW. I am running v1.2.1.06
     
  4. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,245
    Likes Received:
    580
    Location:
    Buckie, Scotland, UK
    Checking my records I believe the last mandatory firmware was 1.2.0.17.
     
  5. PB30X

    Joined:
    Feb 24, 2014
    Messages:
    419
    Likes Received:
    212
    Location:
    Pennsylvania
    Too Beep, or Not to Beep lol.. That was the dreaded firmware troublemaker .17!! Never Forget lol.. Memory serves me correct as you have stated it was Mandatory, and Survived as well!
     
  6. damoncooper

    Joined:
    Mar 20, 2014
    Messages:
    3,457
    Likes Received:
    1,632
    Location:
    Boston, MA
    I believe the next one will be mandatory.
     
  7. Guy Garcia

    Joined:
    Aug 12, 2015
    Messages:
    3
    Likes Received:
    0
    Last App version is 2.0.0
     
  8. bluethundr

    Joined:
    Apr 21, 2015
    Messages:
    241
    Likes Received:
    59
    yep..and probably a distance limitation set by DJI..No more transatlantic flights like you see on FB, no more boosters...no more...
     
  9. turbodronepilot

    Joined:
    Nov 5, 2014
    Messages:
    1,550
    Likes Received:
    1,264
    Location:
    Prather California
    I hope they don't screw with the distance capabilities of the inspire1. .
    imo this is one of the best features. .
    I'm ok with the height restictions, but mess with the distance and I'm out...
    I'll just bite the bullet and buy a matrix. ..
     
  10. amkorp

    Joined:
    Mar 14, 2014
    Messages:
    247
    Likes Received:
    62
    Location:
    Toronto, ON / Buffalo, NY
    If you don't connect the mobile device to internet (since you say you have dedicated ipads for your Inspires), then the DJI app has no way of knowing that a new firmware is available let alone whether or not it's a mandatory update.

    That's what I would do.